#' ESL Dataset
#'
#' The ESL data set contains 488 profiles of applicants for certain industrial
#' jobs.  Expert psychologists of a recruiting company, based upon psychometric
#' test results and interviews with the candidates, determined the values of the
#' input attributes. The output is the an overall score corresponding to the
#' degree of fitness of the candidate to this type of job.
#'
#' @docType data
#'
#' @usage data(esl_org)
#'
#' @keywords datasets
#'
#' @references ordinal, real-world datasets donated by Dr. Arie Ben David (Holon Inst. of Technology/Israel)
#'  Donor: Arie Ben David
#'           MIS, Dept. of Technology Management 
#'           Holon Academic Inst. of Technology
#'           52 Golomb St.
#'           Holon 58102
#'           Israel
#'           abendav@hait.ac.il
#'   Owner: Yoav Ganzah
#'           Business Administration School
#'           Tel Aviv Univerity
#'           Ramat Aviv 69978
#'           Israel
#'
#' @source \href{https://www.cs.waikato.ac.nz/ml/weka/datasets.html}{Weka dataset}
#' (datasets-arie_ben_david.tar.gz, 11,348 Bytes)
#'
#' @examples
#' data(esl_org)
#' 
'esl_org'
